Merge pull request 'actions: update the documentation with context examples' (#58) from earl-warren/end-to-end:wip-events into main

Reviewed-on: https://code.forgejo.org/forgejo/end-to-end/pulls/58
Reviewed-by: dachary <dachary@noreply.code.forgejo.org>
This commit is contained in:
earl-warren 2024-01-07 23:22:11 +00:00
commit 218494c27f
5 changed files with 57 additions and 9 deletions

View file

@ -1,3 +1,15 @@
#
#
# https://code.forgejo.org/forgejo/end-to-end/settings/actions
#
# secrets.CASCADE_DOCS_ORIGIN_TOKEN
# https://code.forgejo.org/forgejo-ci scope write:issue, read:repository, read:user
# vars.CASCADE_DOCS_DESTINATION_DOER
# forgejo-cascading-pr (https://codeberg.org/forgejo-cascading-pr)
# secrets.CASCADE_DOCS_DESTINATION_TOKEN
# https://codeberg.org/forgejo-cascading-pr scope write:issue, write:repository, read:user
#
on:
pull_request:
push:
@ -11,6 +23,7 @@ jobs:
matrix:
info:
- version: v1.22
branch: next
forgejo: https://codeberg.org
repo: forgejo-experimental/forgejo
tests: ${{ vars.V1_22_TESTS }}
@ -29,7 +42,9 @@ jobs:
with:
install-only: true
- if: matrix.info.tests != 'none'
- name: run
id: run
if: matrix.info.tests != 'none'
shell: bash
run: |
set -x
@ -41,3 +56,22 @@ jobs:
chown forgejo $DIR /srv
su -c "actions/run.sh $binary $full_version ${{ matrix.info.version }} ${{ matrix.info.tests }}" forgejo
echo full_version="$full_version" >> $GITHUB_OUTPUT
- name: update documentation
if: matrix.info.version == 'v1.21' && matrix.info.tests != 'none' && github.ref == 'refs/heads/main'
uses: https://code.forgejo.org/actions/cascading-pr@v1
with:
origin-url: ${{ env.GITHUB_SERVER_URL }}
origin-repo: ${{ github.repository }}
origin-token: ${{ secrets.CASCADE_DOCS_ORIGIN_TOKEN }}
origin-ref: refs/heads/main
destination-url: https://codeberg.org
destination-fork-repo: ${{ vars.CASCADE_DOCS_DESTINATION_DOER }}/docs
destination-repo: forgejo/docs
destination-branch: ${{ matrix.info.branch || matrix.info.version }}
destination-token: ${{ secrets.CASCADE_DOCS_DESTINATION_TOKEN }}
update: .forgejo/cascading-docs
env:
VERSION: "${{ steps.run.outputs.full_version }}"

View file

@ -133,10 +133,10 @@ jobs:
- name: save event
run: |
d=/srv/example/pull-request/${{ github.event.pull_request.head.repo.owner.username }}/$GITHUB_EVENT_NAME/${{ github.event.action }}
d=/srv/example/pull-request/contexts/${{ github.event.pull_request.head.repo.owner.username }}/$GITHUB_EVENT_NAME
mkdir -p $d
cat > $d/event <<'EOF'
${{ toJSON(github.event) }}
cat > $d/github <<'EOF'
${{ toJSON(github) }}
EOF
- uses: https://code.forgejo.org/actions/checkout@v4

View file

@ -2,7 +2,10 @@
set -ex
test -d $d/fork-org/pull_request/opened
test -d $d/fork-org/pull_request_target/opened
test -d $d/root/pull_request/opened
test -d $d/root/pull_request_target/opened
c=$d/contexts
test opened = "$(jq -r .event.action < $c/fork-org/pull_request/github)"
test opened = "$(jq -r .event.action < $c/fork-org/pull_request_target/github)"
test opened = "$(jq -r .event.action < $c/root/pull_request/github)"
test opened = "$(jq -r .event.action < $c/root/pull_request_target/github)"

View file

@ -48,7 +48,7 @@ function setup() {
for assert in $EXAMPLE_DIR/assert-*.sh ; do
if ! forgejo.sh retry $assert ; then
find $d
cat $FORGEJO_RUNNER_LOGS
sed -e 's/^/[RUNNER LOGS]/' < $FORGEJO_RUNNER_LOGS
false
fi
done

View file

@ -1,6 +1,7 @@
#!/bin/bash
set -e
set -o pipefail
SELF_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
@ -41,6 +42,15 @@ function examples_v1_22() {
examples_v1_21
}
function save_contexts() {
local example="$1"
if test -d /srv/example/$example/contexts; then
mkdir -p /srv/contexts
rsync -av /srv/example/$example/contexts/ /srv/contexts/$example/
fi
}
function cleanup_example_volume() {
if ! test -d /srv/example ; then
mkdir -p /srv/example
@ -109,6 +119,7 @@ function main() {
false
fi
echo "======================== END example-$example ==================="
save_contexts $example
cleanup_example_volume
done
}